package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag700;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT700Creator;

/**
 * @author gechengyang
 * @date 2023/2/18
 */
public class Tag27Creator  extends AbsTagCreate {

     private MT700Creator mt700Creator;

    public  Tag27Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt700Creator= (MT700Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag27Value = mt700Creator.getSequenceofTotal();
        mt700Creator.set("27", tag27Value);
    }
}
